Vulnerability CVE-2019-15845


Published: 2019-11-26   Modified: 2019-11-29

Description:
Ruby through 2.4.7, 2.5.x through 2.5.6, and 2.6.x through 2.6.4 mishandles path checking within File.fnmatch functions.

Type:

CWE-74

CVSS2 => (AV:N/AC:L/Au:N/C:P/I:P/A:P)

CVSS Base Score
Impact Subscore
Exploitability Subscore
7.5/10
6.4/10
10/10
Exploit range
Attack complexity
Authentication
Remote
Low
No required
Confidentiality impact
Integrity impact
Availability impact
Partial
Partial
Partial
Affected software
Ruby-lang -> RUBY 
Canonical -> Ubuntu linux 

 References:
https://hackerone.com/reports/449617
https://lists.debian.org/debian-lts-announce/2019/11/msg00025.html
https://seclists.org/bugtraq/2019/Dec/31
https://seclists.org/bugtraq/2019/Dec/32
https://usn.ubuntu.com/4201-1/
https://www.debian.org/security/2019/dsa-4587

Copyright 2020, cxsecurity.com

 

Back to Top